
Redmine - Defect #10993

Error 500 while accessing repository tab

2012-05-22 15:37 - support macomnet

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: support macomnet % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.4.2

Description

I have configured repository for a project. When accessing repository tab got this error:

Processing RepositoriesController#show (for 10.0.10.232 at 2012-05-22 17:06:47) [GET]

  Parameters: {"id"=>"ifs", "action"=>"show", "controller"=>"repositories"}

Rendering template within layouts/base

Rendering repositories/show

ActionView::TemplateError (undefined method `repository' for #<ActiveRecord::Associations::HasOneA

ssociation:0x7fa5315997b8>) on line #34 of app/views/repositories/_dir_list_content.html.erb:

31: <td class="size"><%= (entry.size ? number_to_human_size(entry.size) : "?") unless entry.is_dir

? %></td>

32: <% changeset = @repository.find_changeset_by_name(entry.lastrev.identifier) if entry.lastrev &

& entry.lastrev.identifier %>

33: <% if @repository.report_last_commit %>

34: <td class="revision"><%= link_to_revision(changeset, @repository) if changeset %></td>

35: <td class="age"><%= distance_of_time_in_words(entry.lastrev.time, Time.now) if entry.lastrev &

& entry.lastrev.time %></td>

36: <td class="author"><%= changeset.nil? ? h(Redmine::CodesetUtil.replace_invalid_utf8(entry.last

rev.author.to_s.split('<').first)) : h(changeset.author) if entry.lastrev %></td>

37: <td class="comments"><%=h truncate(changeset.comments, :length => 50) unless changeset.nil? %>

</td>

    app/views/repositories/_dir_list_content.html.erb:34

    app/views/repositories/_dir_list_content.html.erb:1:in `each'

    app/views/repositories/_dir_list_content.html.erb:1

    app/views/repositories/_dir_list.html.erb:16

    app/views/repositories/show.html.erb:11

    app/controllers/repositories_controller.rb:102:in `show'

    config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in `dispatch_cgi'

Rendering /opt/redmine/apps/redmine/public/500.html (500 Internal Server Error)

 Info about Redmine:

Redmine 1.4.2.stable (Bitnami stack)

MySQL 5.5.21

Ruby 1.8.7

Rails 2.3.14

SVN version 1.7.4

History

#1 - 2012-05-22 15:43 - support macomnet

Sorry, I forgot about plugins:

Redmine Add Subversion Links 0.0.4

Redmine Light Box plugin 0.0.1

Redmine Logs plugin 0.0.3

Redmine Todo Lists plugin 0.0.4.3
#2 - 2012-05-22 17:15 - Etienne Massip

You forgot to run your database migration.

#3 - 2012-05-23 07:46 - support macomnet

- File redmine.txt added

No, I didn't forget. I run db migration after import old db data, but got error

Mysql::Error: Table 'changeset_parents' already exists: CREATE TABLE `changeset_parents` (`changeset_id` int(1

1) NOT NULL, `parent_id` int(11) NOT NULL) ENGINE=InnoDB

It was described in #9821. So I dropped table 'changeset_parents' and rerun db migration. Migration worked fine, but error with repository exists. I

upgraded from 1.3.0 to 1.4.2, migrate log is in attach.

#4 - 2012-05-23 11:15 - Mischa The Evil

I've seen some more reports of issues like this. It might be an issue with the Redmine Add Subversion Links plugin. Please try it without it (do not

forget to restart) and see if it solves your issue. If so, please report it to the plugin author so it can be fixed upstream...

#5 - 2012-05-23 11:57 - support macomnet

Thank you, Mischa. After removing Redmine Add Subversion Links plugin all works fine. I'll report this bug to the plugin author.

#6 - 2012-05-23 12:44 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Files

redmine.txt 3.54 KB 2012-05-23 support macomnet
